Subject: Re: bug#14569: 24.3.50; bootstrap fails on Cygwin

From: Angelo Graziosi <[email-masked]>
Date: Mon, 10 Jun 2013 20:56:53 +0200

Il 10/06/2013 18.27, Jan Djärv ha scritto:
> Hello.
>
> This sounds like a bug in GLib.  Put a breakpoint at g_thread_abort to get a useful backtrace.

I am afraid but GDB is not for me... :(

Ciao,
  Angelo.

>
> 	Jan D.
>
> 10 jun 2013 kl. 15:54 skrev Angelo Graziosi <[email-masked]>:
>
>> Katsumi Yamaoka wrote:
>>
>>> Bootstrap got to fail on Cygwin since yesterday.  An error occurs
>>> at least when performing batch-update-autoloads as follows:
>>
>> I did a similar report on emacs-devel:
>>
>> http://lists.gnu.org/archive/html/emacs-devel/2013-06/msg00333.html
>>
>> Now I have discovered that trunk rev. 112858 build fine while rev. 112859 fails as described. These are the changes that have broken the bootstrap on Cygwin:
>>
>> =================================
>> 2013-06-05  Paul Eggert  <[email-masked]>
>> 2
>> 3        Chain glib's SIGCHLD handler from Emacs's (Bug#14474).
>> 4        * process.c (dummy_handler): New function.
>> 5        (lib_child_handler): New static var.
>> 6        (handle_child_signal): Invoke it.
>> 7        (catch_child_signal): If a library has set up a signal handler,
>> 8        save it into lib_child_handler.
>> 9        (init_process_emacs): If using glib and not on Windows, tickle glib's
>> 10        child-handling code so that it initializes its private SIGCHLD handler.
>> 11        * syssignal.h (SA_SIGINFO): Default to 0.
>> 12        * xterm.c (x_term_init): Remove D-bus hack that I installed on May
>> 13        31; it should no longer be needed now.
>> =================================
>>
>>
>> Ciao,
>> Angelo.
>>
>>
>